﻿local Gnoll = _G.Gnoll


local function OnClickMinimap(self, button,arg1,arg2)
	if button == "LeftButton" then 
		Hauptfenster:Show() 
	elseif button == "RightButton" then
		local count = 0
		for k,v in pairs(Gnoll.DB["favoriten"]) do
			count = count + 1
		end
		 if count >= 1 then
			UIDropDownMenu_Initialize(MiniMapDropDown, initializeMinimap, "MENU")
			ToggleDropDownMenu(1, nil, MiniMapDropDown, self, -20, 0)
		end
	 elseif button == nil then
		 QuickSelect(self["value"][1],self["value"][2],self["value"][3])
	end
end

local function OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 5)
	GameTooltip:SetText([[|cff00bfffGnoll|r v304]], 1, 1, 1)
end

local function OnLeave(self)
	GameTooltip:Hide()
end

local frame = CreateFrame("Button", "Gnoll_MiniMapButton", Minimap)
frame:SetSize(31, 31)
frame:SetFrameStrata("MEDIUM")
frame:SetFrameLevel(8)

point = { "CENTER", -65.35, -38.8 }
frame:SetPoint(point[1], Minimap, point[3], point[4], point[5])

frame:SetMovable(true)
frame:SetScript("OnClick", OnClickMinimap)
frame.overlay = frame:CreateTexture(nil, "OVERLAY")
frame.overlay:SetSize(53, 53)
frame.overlay:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder")
frame.overlay:SetPoint("TOPLEFT")

frame.background = frame:CreateTexture(nil, "BACKGROUND")
frame.background:SetSize(20, 20)
frame.background:SetTexture("Interface\\Minimap\\UI-Minimap-Background")
frame.background:SetPoint("TOPLEFT", 7, -5)

frame.icon = frame:CreateTexture(nil, "ARTWORK")
frame.icon:SetSize(20, 20)
frame.icon:SetTexture("Interface\\Minimap\\tracking\\Banker")
frame.icon:SetPoint("TOPLEFT", 7, -6)

frame:RegisterForDrag("LeftButton")
frame:SetScript("OnDragStart", frame.StartMoving)
frame:SetScript("OnDragStop", frame.StopMovingOrSizing)
frame:SetScript("OnEnter", OnEnter)
frame:SetScript("OnLeave", OnLeave)
frame:EnableMouse(true)
frame:RegisterForClicks("AnyUp")

function initializeMinimap(self, level)
   local info = UIDropDownMenu_CreateInfo()
   for k,v in pairs(Gnoll.DB["favoriten"]) do   
	  info = UIDropDownMenu_CreateInfo()
	  info.text = v[1]
	  info.value = v[2]
	  info.func = OnClickMinimap
	  UIDropDownMenu_AddButton(info, level)
   end
end

CreateFrame("Button", "MiniMapDropDown", Gnoll_MiniMapButton, "UIDropDownMenuTemplate")


