local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale
local GD = Gnoll.Data


function FavAdd(name,k,i,b)
	Gnoll.DB["favoriten"][k..i..b] = {name, {k,i,b}}
	ItemFrameFavButton:SetText("- Favorite")
	ItemFrameFavButton:SetScript("OnClick", function(self, button) 
	FavDel(name,k,i,b) 
	end)
	
end

function FavDel(name,k,i,b)
	Gnoll.DB["favoriten"][k..i..b] = nil
	ItemFrameFavButton:SetText("+ Favorite")
	ItemFrameFavButton:SetScript("OnClick", function(self, button)
	FavAdd(name,k,i,b) 
	end)
	
end


local function hideWishList()
	ItemFrameButton:Hide()
	WishFrameButton:Show()
	ItemFrame:Show()
	WishFrame:Hide()
end


local function checkitems()
	local leer = false
	for i=1, 30 do
		if ItemButtons[i]:IsShown() == true then		
			if ItemButtons[i]:GetText() == "Getting ItemInfo" then
				leer = true
			end
		end
	end
	
	if leer == true then
		local kontinent = tonumber(DDME["selectedID"])
		local instanz  = tonumber(DDMI["selectedID"])
		local dif = tonumber(DDMD["selectedValue"]) or 0
		local class = tonumber(DDMC["selectedValue"]) or 0
		local spec = tonumber(DDMS["selectedValue"]) or 0
		local instid = GD["Instanzen"][kontinent][instanz]
		local encounter = GD["Bosse"][kontinent][instanz][boss]
		if encounter == 1452 then dif = 15 end ---Special Fix fr Weltbossdingens 
		LootAbfrage(kontinent,dif,instid,encounter,class,spec,UpdateItems)
	end
end

local function checkitemscache()
	local leercache = false
	for i=1, 30 do
		if ItemButtons[i]:IsShown() == true then		
			if ItemButtons[i]:GetText() == "Getting ItemInfo" then
				leercache = true
			end
		end
	end
	
	if leercache == true then
		ClearItemButtons()
		GetItemCache(cacheliste,UpdateItems)
	end
end

local function LootAbfrageStart(arg1)
	if arg1 == "first" then boss = 1 else boss = tonumber(DDMB["selectedID"]) end
	local kontinent = tonumber(DDME["selectedID"])
	local instanz  = tonumber(DDMI["selectedID"])
	local dif = tonumber(DDMD["selectedValue"]) or 0
	local class = tonumber(DDMC["selectedValue"]) or 0
	local spec = tonumber(DDMS["selectedValue"]) or 0
	local loot = 0
	local numloot = 0
	local check = false ---addonmodul abfrage
	local name = ""
	local k = tonumber(DDME["selectedID"])
	RufBar:Hide()
	ItemFrameFavButton:Show()
	
	if kontinent > #GD["Addons"] then   -- ntig sonst Zeile 69 fehler
		kontinent = kontinent - #GD["Addons"]
		check = true
		name = UIDropDownMenu_GetText(DDMI)
	else
		name = UIDropDownMenu_GetText(DDMB)
	end
		
		
	
	if type(Gnoll.DB["favoriten"][k..instanz..boss]) ~= "table" then
		ItemFrameFavButton:SetText("+ Favorite")
		ItemFrameFavButton:SetScript("OnClick", function(self, button) 
			FavAdd(name,k,instanz,boss) 
		end)
	else
		ItemFrameFavButton:SetText("- Favorite")
		ItemFrameFavButton:SetScript("OnClick", function(self, button) 
			FavDel(name,k,instanz,boss)
		end)
	end

	
	
	
	
	

	if (instanz > #GD["Instanzen"][kontinent]) or (check == true) then
		cacheliste = { }
		itemliste = { }
		ClearCache()
		
		local itemcounter = 1
		
		if instanz > #GD["Instanzen"][kontinent] then
			tmpI = instanz - #GD["Instanzen"][kontinent]
			numloot = #GD["ModulLoot"][kontinent][tmpI][boss]
			loot = GD["ModulLoot"][kontinent][tmpI][boss]
		end
		
		if check == true then
			tmpI = instanz
			numloot = #GD["AddonModulLoot"][kontinent][tmpI][boss]
			loot = GD["AddonModulLoot"][kontinent][tmpI][boss]
		end
		
		--------------------------------
		------------------------------- RufBar
		---------------------------------
		if check ~= true then
		
			if GD["Modul"][kontinent][tmpI] == GL["Factions"] then
				local tmp = GD["ModulData"][kontinent][tmpI][boss]
				--name, description, standingID, barMin, barMax, barValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, hasRep, isWatched, isChild, factionID, hasBonusRepGain, canBeLFGBonus = 
				if string.find(tmp,"f###") ~= nil then		--neutrale Fraktion (Rufabrufbar)
					local _, start = string.find(tmp,"f###")
					local id = string.sub(tmp, start+1)
					local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
					RufBar:SetMinMaxValues(barmin, barmax)
					RufBar:SetValue(barvalue)
					RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
					RufBar:Show()
					RufBarColor(standing)
				else
					local frac = UnitFactionGroup("player")
					if frac == "Alliance" and string.find(tmp,"|cFF1565c0") ~= nil then		--Allianz & AllianzFra
						local _, start = string.find(tmp,"|cFF1565c0")
						local id = GD["FactionDB"]["Alliance"][string.sub(tmp, start+1)]
						local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
						RufBar:SetMinMaxValues(barmin, barmax)
						RufBar:SetValue(barvalue)
						RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
						RufBar:Show()
						RufBarColor(standing)
					elseif frac == "Horde" and string.find(tmp,"|cFFC81C1C") ~= nil then 	--Horde & HordeFra
						local _, start = string.find(tmp,"|cFFC81C1C")
						local id = GD["FactionDB"]["Horde"][string.sub(tmp, start+1)]
						local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
						RufBar:SetMinMaxValues(barmin, barmax)
						RufBar:SetValue(barvalue)
						RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
						RufBar:Show()
						RufBarColor(standing)
					end
				end
		
			end
		end --wir wollen keine addon 
		
			
		for i = 1, numloot do
			local v = loot[i]
			if string.find(v,"t###") ~= nil then
				local _, start = string.find(v,"t###")
				table.insert(cacheliste,v)
			else -- es ist kein trenner drin also wird es ein Item sein.
				local _, p = string.find(v,"p###%d")
				local _, w = string.find(v,"w###%d")
				if  p ~= nil and w ~= nil then -- item mit Preis und Whrung nischt Gratis !
					local x, link = nil, nil
					local itemid = string.sub(v, 0, p-5)
					local preis = string.sub(v, p, w-5)
					local curency = string.sub(v, w)
					---doppelwhrung hh inkl. schreibfehler
						if string.find(curency,"p###") ~= nil then
							local _, p2 = string.find(curency,"p###%d")
							local _, w2 = string.find(curency,"w###%d")
							local preis2 = string.sub(curency, p2, w2-5)
							local curency2 = string.sub(curency, w2)
							curency = string.sub(curency, 0, p2-5)
							curency = { curency,curency2 }
							preis = { preis, preis2 }
						end
					--"itemName", "itemLink", itemRarity, itemLevel, itemMinLevel, "itemType", "itemSubType", itemStackCount, "itemEquipLoc", "invTexture", "itemSellPrice" 
					local insert = { itemid,preis,curency }
					table.insert(cacheliste,insert)
					itemliste[itemcounter] = { }
					itemliste[itemcounter]["itemid"] = itemid
					itemliste[itemcounter]["preis"] = preis
					itemliste[itemcounter]["curency"] = curency
					itemcounter = itemcounter +1 
				else --- Item ohne sonstige angaben
					local itemid = v
					table.insert(cacheliste,itemid)
					itemliste[itemcounter] = { }
					itemliste[itemcounter]["itemid"] = itemid
					itemcounter = itemcounter +1 
				end	 -- ende Gratis Item
			end --ende Kein Trenner
		end --ende FOR
		ClearItemButtons()
		GetItemCache(cacheliste,UpdateItems)
		C_Timer.After(0.5, checkitemscache)
		
		
	else --- kein Modul
		local instid = GD["Instanzen"][kontinent][instanz]
		local encounter = GD["Bosse"][kontinent][instanz][boss]
		if encounter == 1452 then dif = 15 end ---Special Fix fr Weltbossdingens 
		LootAbfrage(kontinent,dif,instid,encounter,class,spec,UpdateItems)
		C_Timer.After(0.5, checkitems)
	end
	
	
	
end

-----------------------------------------------------------------
----------------------------------------------------------------- E
-----------------------------------------------------------------

local function OnClickDDME(self)                --- Kontinent wurde ausgewhlt Instanz Dingens wird erstellt
	ClearItemButtons()
    if self ~= nil then UIDropDownMenu_SetSelectedID(DDME, self:GetID()) end
    UIDropDownMenu_SetText(DDMI, GL["Instance"], 0)
    UIDropDownMenu_SetText(DDMB, GL["Boss"], 0)
	hideWishList()
	DDMI:Show()
	DDMB:Hide()
	ItemFrameFavButton:Hide()
end

local function initializeDDME(self, level)      --- Addons werden aufgelistet
	local info = UIDropDownMenu_CreateInfo()  
	for k,v in pairs(GD["Addons"]) do
		info = UIDropDownMenu_CreateInfo()
		info.text = v
		info.value = v
		info.func = OnClickDDME
		UIDropDownMenu_AddButton(info, level)
	end

	for k,v in pairs(GD["AddonModul"]) do
		info = UIDropDownMenu_CreateInfo()
		info.text = v
		info.value = v
		info.func = OnClickDDME
		UIDropDownMenu_AddButton(info, level)
	end
end
UIDropDownMenu_Initialize(DDME, initializeDDME)

-----------------------------------------------------------------
-----------------------------------------------------------------
----------------------------------------------------------------- D

local function OnClickDDMD(self,event,arg1)                --- Difficu
    UIDropDownMenu_SetSelectedID(DDMD, self:GetID())
	DDMD["selectedValue"] = self.value
	ClearItemButtons()
	LootAbfrageStart()
	hideWishList()
end

local function initializeDDMD(self, level)          -- Specs  Wird genereirt  (muss leider hier stehen :-()
    local info = UIDropDownMenu_CreateInfo()  
    local tmpE = DDME["selectedID"]
    local tmpI = DDMI["selectedID"]
    for k,v in pairs(GD["Difficulty"][tmpE][tmpI]) do
        info = UIDropDownMenu_CreateInfo()
        info.text = GLW["Difficulty"][v]
        info.value = v
        info.func = OnClickDDMD
        UIDropDownMenu_AddButton(info,1)
    end
end

-----------------------------------------------------------------
----------------------------------------------------------------- B
-----------------------------------------------------------------

local function OnClickDDMB(self)                --- Boss/Fraktion  wurde ausgewhlt
	if self ~= nil then UIDropDownMenu_SetSelectedID(DDMB, self:GetID()) end
	local tmpE = DDME["selectedID"]
	local tmpI = DDMI["selectedID"]
	ClearItemButtons()
	LootAbfrageStart()
	hideWishList()
	
end
 
local function initializeDDMB(self, level)          -- Bosse werden aufgelistet
    local info = UIDropDownMenu_CreateInfo()  
    local tmpE = DDME["selectedID"]
    local tmpI = DDMI["selectedID"]

	if tmpE <= #GD["Addons"] then 
		local tmpM = tmpI - #GD["Instanzen"][tmpE]
		if tmpI > #GD["Instanzen"][tmpE] then	-- Moduldaten
			for k,v in pairs(GD["ModulData"][tmpE][tmpM]) do
				info = UIDropDownMenu_CreateInfo()
				if string.find(v,"f###") ~= nil then
					local _, start = string.find(v,"f###")
					local id = string.sub(v, start+1)
					v = GetFactionInfoByID(id)
				elseif string.find(v,"e###") ~= nil then
					local _, start = string.find(v,"e###")
					local id = string.sub(v, start+1)
					v = EJ_GetEncounterInfo(id)
				end
				info.text = v
				info.value = v
				info.func = OnClickDDMB
				UIDropDownMenu_AddButton(info, level)
			end
		else	--normale daten
			for k,v in pairs(GD["Bosse"][tmpE][tmpI]) do
				local info = UIDropDownMenu_CreateInfo()
				if type(v) == "number" then
					info.text = EJ_GetEncounterInfo(v)
				else
					info.text = v.."!!!"
				end
				info.value = v
				info.func = OnClickDDMB
				UIDropDownMenu_AddButton(info, level)
			end
		end
		
	else --es ist ein addonmodul
		local tmpE = DDME["selectedID"] - #GD["Addons"]

		for k,v in pairs(GD["AddonModulKat"][tmpE][tmpI]) do
				local info = UIDropDownMenu_CreateInfo()
				if string.find(v,"f###") ~= nil then
					local _, start = string.find(v,"f###")
					local id = string.sub(v, start+1)
					v = GetFactionInfoByID(id)
				elseif string.find(v,"e###") ~= nil then
					local _, start = string.find(v,"e###")
					local id = string.sub(v, start+1)
					v = EJ_GetEncounterInfo(id)
				end
				info.text = v
				info.value = v
				info.func = OnClickDDMB
				UIDropDownMenu_AddButton(info, level)
		end
	end
	
	
end

-----------------------------------------------------------------
----------------------------------------------------------------- I
-----------------------------------------------------------------

local function OnClickDDMI(self)                --- Instanz wurde ausgewhlt
    if self ~= nil then UIDropDownMenu_SetSelectedID(DDMI, self:GetID()) end
	
	local tmpE = DDME["selectedID"]
    local tmpI = DDMI["selectedID"]
	DDMB:Show()
	
	if tmpE <= #GD["Addons"] then
		
		if tmpI > #GD["Instanzen"][tmpE] then		-- ModulData
			local tmpM = tmpI - #GD["Instanzen"][tmpE]
			UIDropDownMenu_SetText(DDMB, GL["Factions"], 0)
			local firstfrac = GD["ModulData"][tmpE][tmpM][1]
			DDMB["selectedID"] = 1
			UIDropDownMenu_SetSelectedID(DDMB, 1)
			if string.find(firstfrac,"f###") ~= nil then
				local _, start = string.find(firstfrac,"f###")
				local id = string.sub(firstfrac, start+1)
				firstfrac = GetFactionInfoByID(id)
			elseif string.find(firstfrac,"e###") ~= nil then
				local _, start = string.find(firstfrac,"e###")
				local id = string.sub(firstfrac, start+1)
				firstfrac = EJ_GetEncounterInfo(id)
			end
			UIDropDownMenu_SetText(DDMB, firstfrac) 
			ClearItemButtons()
			LootAbfrageStart()
			hideWishList()
			DDMD:Hide()
			DDMS:Hide()
			DDMC:Hide()
		else  -- Normaler Kram 
			DDMD:Show()
			DDMS:Show()
			DDMC:Show()
			if GD["MapIDS"][tmpE][tmpI] == GL["World Bosses"] then 
				DDMD:Hide()	--Weltbosse ausm Journal
			end
			UIDropDownMenu_SetText(DDMB, GL["Boss"], 0) --> Bossbeschriftung
			UIDropDownMenu_Initialize(DDMD, initializeDDMD) -->Aufruf Difficulty zu erzeugen
			local firstdiff = GD["Difficulty"][tmpE][tmpI][1]    -- erste verfgbare diff.
			DDMD["selectedID"] = firstdiff  --
			UIDropDownMenu_SetSelectedValue(DDMD, firstdiff, firstdiff)--
			UIDropDownMenu_SetText(DDMD, GLW["Difficulty"][firstdiff]) -- Diff
			local firstboss = GD["Bosse"][tmpE][tmpI][1] --- erster boss wird ausgewhlt
			UIDropDownMenu_SetSelectedID(DDMB, 1)
			UIDropDownMenu_SetText(DDMB, EJ_GetEncounterInfo(firstboss))
			ClearItemButtons()
			LootAbfrageStart("first",EJ_GetEncounterInfo(firstboss))
			hideWishList()
		end

	else -- addonmodul im prinzip machen wir damit erstmal jarnscht
		DDMD:Hide()
		DDMS:Hide()
		DDMC:Hide()
		ClearItemButtons()
		hideWishList()
		local tmpM = tmpE - #GD["Addons"]
		local firstboss = GD["AddonModulKat"][tmpM][tmpI]
		UIDropDownMenu_SetSelectedID(DDMB, 1)
		UIDropDownMenu_SetText(DDMB, GD["AddonModulKat"][tmpM][tmpI][1])
		LootAbfrageStart()
	end
	
	UIDropDownMenu_Initialize(DDMB, initializeDDMB)
end


function QuickSelect(kontinent,instanz,boss)
	Hauptfenster:Show()
	DDME:Show()
	DDMI:Show()
	DDMB:Show()
	
	--berprfung ob addon oder modul
	DDME["selectedID"] = kontinent
	DDMI["selectedID"] = instanz
	DDMB["selectedID"] = boss
	
	ToggleDropDownMenu(1, nil, DDME)
	UIDropDownMenu_SetSelectedID(DDME, kontinent)
	ToggleDropDownMenu(1, nil, DDME)
	OnClickDDME()
	
	ToggleDropDownMenu(1, nil, DDMI)
	UIDropDownMenu_SetSelectedID(DDMI, instanz)
	ToggleDropDownMenu(1, nil, DDMI)
	
	OnClickDDMI()
	
	ToggleDropDownMenu(1, nil, DDMB)
	UIDropDownMenu_SetSelectedID(DDMB, boss)
	ToggleDropDownMenu(1, nil, DDMB)
	
	
	LootAbfrageStart()
	
end

local function initializeDDMI(self, level)          -- Instanzen werden aufgelistet
    local info = UIDropDownMenu_CreateInfo()  
    local tmp = DDME["selectedID"]
    local counter = 1
	local art = ""
	if tmp <= #GD["Addons"] then
		for k,v in pairs(GD["MapIDS"][tmp]) do
			for i = 1, #GD["Difficulty"][tmp][counter] do
				if (GD["Difficulty"][tmp][counter][i] == 3) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 4) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 5) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 6) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 7) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 9) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 14) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 15) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 16) then art = "raid" 
				elseif (GD["Difficulty"][tmp][counter][i] == 17) then art = "raid" 
				else art = "" end
			end
			
			local info = UIDropDownMenu_CreateInfo()
			if type(v) == "number" then
				info.text = GetMapNameByID(v)
			else
				info.text = v
			end
			
			if art == "raid"  then 
				info.colorCode = "|cFFFF9900"
			elseif v == GL["World Bosses"] then
				info.colorCode = "|cFFCC3300"
			else
				info.colorCode = "|cFFFFFF33"
			end
			
			info.value = v
			info.func = OnClickDDMI
			UIDropDownMenu_AddButton(info, level)
			counter = counter + 1
		end
		
	   
		if #GD["Modul"][tmp] >= 1 then 
			for k,v in pairs(GD["Modul"][tmp]) do
				local info = UIDropDownMenu_CreateInfo()
				info.text = v
				info.value = v
				if v == GL["World Bosses"] then 
					info.colorCode = "|cFFCC3300"
				else
					info.colorCode = "|cFF990099"
				end
				info.func = OnClickDDMI
				UIDropDownMenu_AddButton(info, level)
				counter = counter +1
			end
		end
		
	else	-- es ist ein Addonmodul
	
		tmp = tmp - #GD["Addons"]
		for k,v in pairs(GD["AddonModulData"][tmp]) do
			local info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = OnClickDDMI
			UIDropDownMenu_AddButton(info, level)
		end
	end --- Es ist kein Addon Modul
end

UIDropDownMenu_Initialize(DDMI, initializeDDMI)

----------------------------------------------------------------
----------------------------------------------------------------- C & S
-----------------------------------------------------------------

local function OnClickDDMS(self,event,arg1)                --- Spec ausgewhlt
    UIDropDownMenu_SetSelectedID(DDMS, self:GetID())
	DDMS["selectedValue"] = self.value
	ClearItemButtons()
	LootAbfrageStart()
	hideWishList()
end

local function initializeDDMS(self, level)         -- Specs  Wird genereirt  (muss leider hier stehen :-()
	local class = DDMC["selectedValue"]
    local info = UIDropDownMenu_CreateInfo()
	
	if class == 0 then  ---keine Specs anzeigen
		UIDropDownMenu_SetText(DDMS, GL["All"], 0)
	else
		for k,v in pairs(GD["ClassSpecs"][class]) do
			local info = UIDropDownMenu_CreateInfo()
			info.text = GLW["Specs"][v]
			info.value = v
			info.func = OnClickDDMS
			UIDropDownMenu_AddButton(info,1)
		end
	end
end

local function OnClickDDMC(self)                --- Class wurde ausgewhlt
    UIDropDownMenu_SetSelectedID(DDMC, self:GetID())
	DDMC["selectedValue"] = self.value
	ClearItemButtons()
	LootAbfrageStart()
	hideWishList()
	UIDropDownMenu_Initialize(DDMS, initializeDDMS)
end

local function initializeDDMC(self, level)          -- Klassen werden aufgelistet
    local info = UIDropDownMenu_CreateInfo() 										 
	
		local info = UIDropDownMenu_CreateInfo()
        info.text = GL["All"]
		info.value = 0
        info.func = OnClickDDMC
        UIDropDownMenu_AddButton(info, level)
	
    for i=2, GetNumClasses() do
        local info = UIDropDownMenu_CreateInfo()
        info.text = GetClassInfo(i) 
		info.value = i
        info.func = OnClickDDMC
        UIDropDownMenu_AddButton(info, level)
    end
end
UIDropDownMenu_Initialize(DDMC, initializeDDMC)


