local G = _G.Gnoll
local tmpmon = {CalendarGetMonthNames()}
local function GetSpec(id)
	x, tmp1 = GetSpecializationInfoByID(id)
	return tmp1
end

local WoWLocale = {
   ["Months"] = {},
   ["Difficulty"] = {},
   ["Classes"] = {}, 
   ["Specs"] = {},
   ["Ruf"] = {},
   ["Currency"] = {}
}
   WoWLocale["Specs"][62] = GetSpec(62) -- Mage: Arcane 
   WoWLocale["Specs"][63] = GetSpec(63) -- Mage: Fire
   WoWLocale["Specs"][64] = GetSpec(64) -- Mage: Frost
   WoWLocale["Specs"][65] = GetSpec(65) -- Paladin: Holy
   WoWLocale["Specs"][66] = GetSpec(66) -- Paladin: Protection
   WoWLocale["Specs"][70] = GetSpec(70) -- Paladin: Retribution
   WoWLocale["Specs"][71] =  GetSpec(71) -- Warrior: Arms
   WoWLocale["Specs"][72] = GetSpec(72) -- Warrior: Fury
   WoWLocale["Specs"][73] = GetSpec(73) -- Warrior: Protection
   WoWLocale["Specs"][102] = GetSpec(102) -- Druid: Balance
   WoWLocale["Specs"][103] = GetSpec(103) -- Druid: Feral
   WoWLocale["Specs"][104] = GetSpec(104) -- Druid: Guardian
   WoWLocale["Specs"][105] = GetSpec(105) -- Druid: Restoration
   WoWLocale["Specs"][250] = GetSpec(250) -- Death Knight: Blood
   WoWLocale["Specs"][251] = GetSpec(251) -- Death Knight: Frost
   WoWLocale["Specs"][252] = GetSpec(252) -- Death Knight: Unholy
   WoWLocale["Specs"][253] = GetSpec(253) -- Hunter: Beast Mastery
   WoWLocale["Specs"][254] = GetSpec(254) -- Hunter: Marksmanship
   WoWLocale["Specs"][255] = GetSpec(255) -- Hunter: Survival
   WoWLocale["Specs"][256] = GetSpec(256) -- Priest: Discipline
   WoWLocale["Specs"][257] = GetSpec(257) -- Priest: Holy
   WoWLocale["Specs"][258] = GetSpec(258) -- Priest: Shadow
   WoWLocale["Specs"][259] = GetSpec(259) -- Rogue: Assassination
   WoWLocale["Specs"][260] = GetSpec(260) -- Rogue: Combat
   WoWLocale["Specs"][261] = GetSpec(261) -- Rogue: Subtlety
   WoWLocale["Specs"][262] = GetSpec(262) -- Shaman: Elemental
   WoWLocale["Specs"][263] = GetSpec(263) -- Shaman: Enhancement
   WoWLocale["Specs"][264] = GetSpec(264) -- Shaman: Restoration
   WoWLocale["Specs"][265] = GetSpec(265) -- Warlock: Affliction
   WoWLocale["Specs"][266] = GetSpec(266) -- Warlock: Demonology
   WoWLocale["Specs"][267] = GetSpec(267) -- Warlock: Destruction
   WoWLocale["Specs"][268] = GetSpec(268) -- Monk: Brewmaster
   WoWLocale["Specs"][269] = GetSpec(269) -- Monk: Windwalker
   WoWLocale["Specs"][270] = GetSpec(270) -- Monk: Mistweaver
   WoWLocale["Specs"][577] = GetSpec(577) -- Demon Hunter: Havoc
   WoWLocale["Specs"][581] = GetSpec(581)   -- Demon Hunter: Vengeance
   
   WoWLocale["Ruf"][1] = FACTION_STANDING_LABEL1
   WoWLocale["Ruf"][2] = FACTION_STANDING_LABEL2
   WoWLocale["Ruf"][3] = FACTION_STANDING_LABEL3
   WoWLocale["Ruf"][4] = FACTION_STANDING_LABEL4
   WoWLocale["Ruf"][5] = FACTION_STANDING_LABEL5
   WoWLocale["Ruf"][6] = FACTION_STANDING_LABEL6
   WoWLocale["Ruf"][7] = FACTION_STANDING_LABEL7
   WoWLocale["Ruf"][8] = FACTION_STANDING_LABEL8
   
	WoWLocale["Months"]["January"] = tmpmon[1]
	WoWLocale["Months"]["February"] = tmpmon[2]
	WoWLocale["Months"]["March"] = tmpmon[3]
	WoWLocale["Months"]["April"] = tmpmon[4]
	WoWLocale["Months"]["May"] = tmpmon[5]
	WoWLocale["Months"]["June"] = tmpmon[6]
	WoWLocale["Months"]["July"] = tmpmon[7]
	WoWLocale["Months"]["August"] = tmpmon[8]
	WoWLocale["Months"]["September"] = tmpmon[9]
	WoWLocale["Months"]["October"] = tmpmon[10]
	WoWLocale["Months"]["November"] = tmpmon[11]
	WoWLocale["Months"]["December"] = tmpmon[12]
	
	WoWLocale["Currency"][0] = "Gold","TexturenPath"
	WoWLocale["Currency"][-1] = "KA?","TexturenPath"
	
	

--Diffs
for i=1, 25 do
	WoWLocale["Difficulty"][i] = GetDifficultyInfo(i)
end
--Klassen
for i=1, GetNumClasses() do
	WoWLocale["Classes"][i] = GetClassInfo(i) 
end

G.WoWLocale = WoWLocale
setmetatable(WoWLocale, { __index = function(tab, key) return rawget(tab, key) or key end } )